  .containerContrat {
      margin: 4px;
  }
  
  .mesAction {
      margin-top: 20px;
      padding: 0px 0px;
      padding-bottom: 15px;
      padding-right: 2px;
      border-radius: 10px;
      border: solid 2px var(--ion-color-primary);
      max-height: 70%;
      overflow-y: scroll;
      .mesHeading {
          color: var(--ion-color-secondary);
          text-align: center;
          font-size: 16px;
          font-weight: 700;
      }
      .contentBlock {
          display: flex;
          justify-content: space-between;
          align-items: center;
          margin-top: 10px;
          img {
              max-width: none;
              width: 30px;
          }
          p {
              font-size: 12px;
              color: var(--ion-color-secondary);
          }
      }
      .colonneListe {
          font-size: 12.8px;
          font-weight: bold;
          color: var(--ion-color-primary);
          ion-icon {
              font-size: 12px;
          }
      }
      .colonneListeItem {
          font-size: 11.8px;
          color: var(--ion-color-secondary);
          ion-icon {
              font-size: 12px;
          }
      }
      .statusLight {
          border-radius: 100px;
          width: 7px;
          height: 7px;
          margin-right: 10px;
      }
      .statusRas {
          background-color: #00FF00;
      }
      .statusAlerte {
          background-color: #FF0000
      }
      .statusDepasse {
          background-color: rgb(99, 95, 95)
      }
      .iconeVoiture {
          max-width: none;
          width: 20px;
      }
  }
  
  .newContrat {
      --background: var(--ion-color-primary);
      --box-shadow: none;
      display: block;
      margin: 0 auto;
      width: 40%;
      height: 30px;
      margin-top: 10px;
      ion-icon {
          font-size: 24px;
      }
  }
  
  ion-searchbar {
      --color: var(--ion-color-secondary);
      --icon-color: var(--ion-color-secondary);
      --placeholder-color: var(--ion-color-secondary);
      --clear-button-color: var(--ion-color-secondary);
      --background: var(--ion-color-tertiary)
  }
  
  .inputs {
      display: flex;
      align-items: center;
      justify-content: space-between;
      .inputBlock {
          width: 65%;
          .itemInput {
              ion-item {
                  --placeholder-opacity: 1;
                  --placeholder-color: var(--ion-color-secondary);
              }
              ion-select {
                  width: 100%;
                  max-width: none;
                  border-radius: 15px;
                  font-size: 12px;
                  color: var(--ion-color-secondary);
                  --placeholder-color: var(--ion-color-secondary);
                  --placeholder-opacity: 1;
                  background-color: var(--ion-color-tertiary)
              }
          }
      }
      .selectInput {
          width: 35%
      }
  }
  
  .noContrats {
      font-size: 15px;
      color: var(--ion-color-secondary);
  }
  
  //pour alternance des couleurs entre les lignes
  .rowItem {
      transition: background 0.2s ease-in;
      background-color: #e6e6e6;
  }
  
  .rowItem:nth-child(2n) {
      background-color: #fbeeea
  }
  
  .rowItem {
      cursor: pointer;
  }
  
  .rowItem:hover,
  .rowItem:active {
      background-color: var(--ion-color-tertiary)
  }
  
  .iconeAdd {
      font-size: 12px;
  }
  
  // .controleExpire{
  //   border-left : solid 1px red ;
  // }
  .controleExpire * {
      color: red;
  }
  
  .controleExpire {
      ion-col * {
          color: red
      }
  }
  
  .controleWarning * {
      color: orange;
  }
  
  .controleWarning {
      ion-col * {
          color: orange
      }
  }
  
  .boutonSwipe {
      background-color: var(--ion-color-primary);
  }
  /**Pagination*/
  
  pagination-controls {
      color: orangered;
      font-size: 18px;
  }
  
  pagination-controls .nextLabel {
      color: #00FF00 !important;
      cursor: default;
  }
  
  .custom-pagination .page-number {
      display: inline-block;
      /* padding: 5px 12px; */
      background: #ff811b;
      margin: 0px 4px;
      border-radius: 25px;
  }
  
  .page-number.current {
      background: #ffffff!important;
      border: 2px solid #458873;
  }
  
  .page-number span {
      display: block;
      width: 28px;
      height: 28px;
      font-size: 18px;
      cursor: pointer;
  }
  
  .pagination-previous,
  .pagination-next {
      display: inline-block;
      font-weight: bold;
  }
  /**End**/